curl --request GET \
--url https://api.leadping.ai/events/calls/{callEventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/events/calls/{callEventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/events/calls/{callEventId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/events/calls/{callEventId}")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/events/calls/{callEventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/events/calls/{callEventId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/events/calls/{callEventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"leadId": "<string>",
"leadName": "<string>",
"organizationId": "<string>",
"userId": "<string>",
"userName": "<string>",
"userEmail": "jsmith@example.com",
"conversationId": "<string>",
"fromPhoneNumberId": "<string>",
"fromPhoneNumber": "<string>",
"toPhoneNumber": "<string>",
"callerId": "<string>",
"status": "scheduled",
"statusReason": "<string>",
"direction": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"answeredAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"duration": 123,
"billableSeconds": 123,
"billableAmount": 123,
"billingStatus": "<string>",
"voicemailUrl": "<string>",
"consoleEntries": [
{
"id": "<string>",
"stage": "<string>",
"status": "<string>",
"message": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
],
"user": "<string>",
"organization": "<string>",
"organizationName": "<string>"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Get lead call event details by event ID
Returns one call event, including call metadata, provider status, related lead, and communication context.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
The ID of the call event to retrieve.
Response
Returns the call event table row.
Summarizes call event data in paginated and searchable results.
Unique Leadping identifier for this call event table row.
Lead ID associated with this call event.
Display name for the lead associated with this call event.
Organization ID associated with this call event.
User ID associated with the person or agent who initiated this call event.
Display name for the person or agent who initiated this call event.
Email address for the person or agent who initiated this call event.
Conversation ID that links this call event table row to the Leadping inbox thread.
Sender phone number ID used for this outbound SMS or call.
Sender phone number used for this communication.
Recipient phone number used for this communication.
Caller ID phone number presented during the outbound call.
Describes the durable business outcome of a Leadping phone call after provider status normalization.
scheduled, queued, initiated, ringing, in_progress, active, completed, ended, busy, no_answer, failed, canceled, missed, transferred, voicemail, blocked_billing, blocked_phone_number_status, blocked_configuration, blocked_permission, configuration_required Human-readable reason explaining the current status of this call event table row.
Communication direction for this call event table row, such as inbound or outbound.
UTC timestamp when this call event table row was created.
UTC timestamp when the call was answered.
UTC timestamp when the call ended.
Call duration or processing duration represented by this call event table row.
Billable call duration in seconds.
Monetary amount billed for this Leadping communication or transaction.
Billing state for this communication, charge, or transaction.
URL for voicemail audio, when the call resulted in a voicemail.
Ordered diagnostic entries recorded while Leadping processed this call.
Show child attributes
Show child attributes
User summary connected to this call event table row.
Organization summary connected to this call event table row.
Display name for the organization associated with this call event.

